import * as i0 from "@angular/core";
export declare class ComponentFinderService<T = unknown> {
    private map;
    private mapPromise;
    get(component: unknown): Promise<unknown>;
    /** @internal */
    set(component: unknown, instance: T): void;
    /** @internal */
    remove(component: unknown): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ComponentFinderService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ComponentFinderService<any>>;
}


